Subject: Re: [PATCH] Fix byte-swapped ethernet addr for Asante Fast 10/100 PCI Adapter

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Dec 2003 00:26:51 +1100

>
> Please forgive my ignorance, but how do I tell if the card has an OF
> driver?  Running "ofpath /dev/eth1" doesn't reveal anything, although
> looking at the source for "ofpath" shows me that it doesn't handle
> ethernet devices.  I don't see anything under /proc/device-tree/ that
> would map to the Asante ethernet card, either.
>
> The card does show up in "lspci" and /proc/pci (obviously).  Would
> checking for the PCI vendor/device and subvendor/subdevice be
> equivalent to checking for the OF name property?

Not really.

Send me a tarball of /proc/device-tree with the card in along with
lspci -v & lspci -n outputs

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/